type token =
  | COLONCOLONEQUAL
  | COLON
  | DOT
  | COMMA
  | LEFTPAR
  | RIGHTPAR
  | ARROW
  | DOUBLEARROW
  | VERT
  | SEMI
  | SHARP
  | STAR
  | PLUS
  | QUESTIONMARK
  | LEFTACC
  | RIGHTACC
  | INT of (int)
  | ID of (string)
  | EOF
  | TOKEN
  | PREC
  | BANG

val grammar :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Parsetree.grammar
